# Invoke-RASTestDetectClientIP.md

## NAME

Invoke-RASTestDetectClientIP

## SYNOPSIS

Tests a URL that leads to a client IP detection service.

## SYNTAX

\*\*Invoke-RASTestDetectClientIP -[ServiceURL](#serviceurl-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Tests a URL that leads to a client IP detection service.

If the URL is correct and the service works as expected, the test should return the IP of the Connection Broker.

## PARAMETERS

## ServiceURL (string)

Service URL that leads to a client IP detection service.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASTestDetectClientIP -ServiceURL "[www.url.com](http://www.url.com)"

Tests the Service URL that leads to a client IP detection service.

## RELATED LINKS

-none-


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rastestdetectclientip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
